# Advent of code 2022 :christmas_tree:
This is a repository for my solutions for the [advent of code 2022](https://adventofcode.com/2022).

## About
I will try to use as many different languages as I can.
I am not necessarily trying to do it the best or most efficient way, nor choose the best language for job.

The directories for each day contain my input file, my code and a README that shows how to run the code and what approach I used.

## Recommended Days
These are the days with to most interesting code so far:
1. **day 13**: *HolyC* on a TempleOS virtual machine
2. **day 4**: *x86-64 assembly* with the help of ChatGPT
3. **day 6**: *html+javascript* <!-- [check it out here](https://quintern.xyz/advent22/day6.html) -->
4. **day 7**: *awk+bash*

Also, check out the repositories of my friends who do stuff in go, Visual Basic, php and many other languages!
- [Daniel](https://git.quintern.xyz/TheShinyMelon/AOC_2022)
- [Jonas](https://github.com/JonasBordewick/advent_of_code_2022)

<!-- ## Language - Day -->
<!-- - **Awk**: day 1, 7 -->
<!-- - **Assembly, x86-64**: day 4 -->
<!-- - **Bash**: day 1, 7 -->
<!-- - **C**: day 3, 4, 15 -->
<!-- - **C++**: day 2, 8, 12, 14 -->
<!-- - **HolyC:** day 13 -->
<!-- - **Java**: day 10 -->
<!-- - **Javascript**: day 6 -->
<!-- - **php**: day 9 -->
<!-- - **Python**: day 5, 11 -->
<!-- - **VIM-Script**: day 4 -->

## Overview
<!-- table begin -->
| Day      | Language        | Lines of code | Execuction time | Comment                         |
|:---:     |:---:            | ---:          | ---:            |---                              |
| [01](01) | GNU-coretils    | 2             | 0,0011 s        |                                 |
| [02](02) | C++             | 40            | 0,003 s         |                                 |
| [03](03) | C               | 78            | 0,001 s         | including ChatGPT extra         |
| [04](04) | x86-64 Assembly | 241           | 0,010 s         | ChatGPT tought me Assembly      |
| [05](05) | Python          | 44            | 0,016 s         |                                 |
| [06](06) | Javascript      | 125           | 0,067 s         | it's a website!                 |
| [07](07) | Bash + Awk      | 53            | 0,039 s         | creates the filesystem          |
| [08](08) | C++             | 116           | 0,002 s         |                                 |
| [09](09) | php             | 87            | 0,126 s         |                                 |
| [10](10) | Java            | 48            | 12,085 s        |                                 |
| [11](11) | Python          | 71            | 0,284 s         |                                 |
| [12](12) | C++             | 142           | 0,670 s         |                                 |
| [13](13) | HolyC           | 228           | < 0,500 s       | yes, coded in HolyC on TempleOS |
| [14](14) | C++             | 113           | 0,085 s         |                                 |
| [15](15) | C               | 98            | 0,801 s         |                                 |

 Lines of code are without blank lines and comments

